VectorLinux
September 23, 2014, 08:01:59 am *
Welcome, Guest. Please login or register.
Did you miss your activation email?

Login with username, password and session length
News: Visit our home page for VL info. To search the old message board go to http://vectorlinux.com/forum1. The first VL forum is temporarily offline until we can find a host for it. Thanks for your patience.
 
Now powered by KnowledgeDex.
   Home   Help Search Login Register  
Please support VectorLinux!
Pages: [1] 2
  Print  
Author Topic: HOWTO: Install compiz-fusion on VectorLinux 5.9  (Read 10444 times)
M0E-lnx
Administrator
Vectorian
*****
Posts: 3180



« on: October 02, 2007, 09:21:57 am »

VectorLinux 5.9 is in development stages right now, soon to be released.
Compiz-fusion is the new bleeding-edge 3D environment. I wrote this howto so people can install  or upgrade fusion on their 5.9 install

The Howtos section of the forums is set to read-only for some reason, so I wrote it on the wiki
Here is the link
http://vectorlinux.com/wiki/doku.php?id=howtos:compiz-fusion

Note to mods
Please move this to the howto's section.
Logged

Diabolic Preacher
Vectorite
***
Posts: 100


Freedomaniac


WWW
« Reply #1 on: October 28, 2007, 03:14:36 pm »

is it not possible on the 5.8 version?
Logged

Diabolic Preacher
As Is
http://pintooo15.livejournal.com
M0E-lnx
Administrator
Vectorian
*****
Posts: 3180



« Reply #2 on: October 29, 2007, 03:42:32 am »

the toolchain and xorg in 5.8 don't allow it
Logged

tomh38
Vectorian
****
Posts: 913



« Reply #3 on: November 18, 2007, 06:47:05 pm »

M0E,

I got Compiz-Fusion working once I installed 5.9 RC 1.  Your how-to is perfect.  I even upgraged to Compiz0.6.2/Fusion0.6.0 with no problems.   So now I guess I owe you a case of beer.  Still no idea how to get it to you ...
Logged

"I'm doing a (free) operating system (just a hobby, won't be big and professional like gnu) for 386(486) AT clones." - Linus Torvalds, April 1991
M0E-lnx
Administrator
Vectorian
*****
Posts: 3180



« Reply #4 on: November 19, 2007, 06:01:20 am »

Let me know when you come to town... We'll get together and have a cold one Wink
Logged

blurymind
Packager
Vectorian
****
Posts: 1082



« Reply #5 on: November 20, 2007, 09:41:11 am »

beutifully executed,moe!
The method trully makes vector shine with vpackager and its buildscript repo. Grin

I hope that Vec team changes the website at the time 5.9/6 stable is out, there should be a VL"projects" page on it,that focuses the public attention to Vl's tools that make it a unique distro.
Logged

status: playing around with new tablet and learning to 3d :p
google page :  http://blurymind.googlepages.com
DA PAGE :  http://www.blurymind.deviantart.com/
M0E-lnx
Administrator
Vectorian
*****
Posts: 3180



« Reply #6 on: November 20, 2007, 09:44:43 am »

Good to know it works....

I hope someone picks up the slack and takes a few minutes to edit these Pkgfile scripts and update version numbers...

I'm really looking forward to that website thingie too... I like what I've seen in the mockups
Logged

blurymind
Packager
Vectorian
****
Posts: 1082



« Reply #7 on: December 24, 2007, 10:23:27 am »

Good to know it works....

I hope someone picks up the slack and takes a few minutes to edit these Pkgfile scripts and update version numbers...

I'm really looking forward to that website thingie too... I like what I've seen in the mockups

yes ofcourse. Im not very good at web programming, currently looking for someone who is willing to code it cleanly,without brining too much of their own taste.
There is someone whom i know can pull it off,but he's not in the mood curently. Sad
Logged

status: playing around with new tablet and learning to 3d :p
google page :  http://blurymind.googlepages.com
DA PAGE :  http://www.blurymind.deviantart.com/
dserbes
Member
*
Posts: 1


« Reply #8 on: January 01, 2008, 11:57:53 pm »

I'm running VL 5.8 SOHO, and would love to have CF on it. WIll this install the same way on this version?
Logged
M0E-lnx
Administrator
Vectorian
*****
Posts: 3180



« Reply #9 on: January 02, 2008, 05:24:49 am »

I'm running VL 5.8 SOHO, and would love to have CF on it. WIll this install the same way on this version?

Unfortunately, the toolchain shipped with 5.8 SOHO does not allow this to run on it. You'd have to upgrade to 5.9
Logged

cb88
Member
*
Posts: 16


« Reply #10 on: January 14, 2008, 10:11:39 am »

how do i download the packages manually and install?

the problem is that i have a conexant winmodem that only does 14.4 kbs (don't laugh before i installed Vector linux i was only getting 0 kbs  Shocked ) right now so downloading at home is not an option

i have installed compiz in puppy linux (you my have seen my videos on youtube) so am familiar with a decent portion of the catches and tweaks
Logged
M0E-lnx
Administrator
Vectorian
*****
Posts: 3180



« Reply #11 on: January 14, 2008, 10:37:20 am »

you can always browse the repositories manually and download. just be sure you grab any needed dependancies while you're at it
Logged

cb88
Member
*
Posts: 16


« Reply #12 on: January 14, 2008, 12:06:02 pm »

http://gd.tuwien.ac.at/opsys/Linux/vectorlinux/veclinux-5.9/packages/x/?fisel=cC

I found compiz 6.2 there ^^^ but it seems all the dependencies are mostly in the ports system i am not sure how to got about installing those also to install a package in vector i am thinking i need to use the command line package installer correct?  could be that i am in for a long download process... gladly i found packages for R and some other math programs woot!
Logged
tomh38
Vectorian
****
Posts: 913



« Reply #13 on: January 14, 2008, 01:54:59 pm »

cb88,

If you're using VL 5.9, you can already get compiz-fusion from the repos using Gslapt (it's 6.0, not 6.2, but it's probable safer using packages made officially for Vector Linux than by an unknown third party.

See this if you haven't:  http://www.vectorlinux.com/forum2/index.php?topic=5252.0

You should need just compiz-fusion-20080108, pyrex-0.9.6.4 and libwnck-2.18.3 (unless I'm mistaken).

Tom
Logged

"I'm doing a (free) operating system (just a hobby, won't be big and professional like gnu) for 386(486) AT clones." - Linus Torvalds, April 1991
exeterdad
Packager
Vectorian
****
Posts: 2046



« Reply #14 on: January 14, 2008, 08:52:18 pm »

The compiz in our repo is newer then 6.2.  It's the latest sources (as of build date) from the git servers (kinda like cvs or svn).

We chose the git over the actual release because you can't compile some of the snazzy plugins unless it's from git.  The release version is missing files.
Logged
Pages: [1] 2
  Print  
 
Jump to:  

Powered by MySQL Powered by PHP Powered by SMF 1.1.19 | SMF © 2013, Simple Machines Valid XHTML 1.0! Valid CSS!